Subject: [Dots] Roman Danyliw's No Objection on draft-ietf-dots-server-discovery-14: (with COMMENT)

From: Roman Danyliw via Datatracker <[email-masked]>
Date: Mon, 02 Nov 2020 13:24:48 -0800

Roman Danyliw has entered the following ballot position for
draft-ietf-dots-server-discovery-14: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-dots-server-discovery/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Figure 2.  Editorial.  Expand DMS somewhere in the surrounding text.

Section 3.  Editorial. Per “Dynamic means to discover DOTS servers in a
deterministic manner are interesting from an operational standpoint”, this
reads like a problem statement.  Should it be restated as “dynamic discovery
needs to be deterministic”?

Section 4.  Editorial.  Recommend not using the colloquialism “whack-a-mole”.

Section 4.  Per “DOTS clients will prefer information received from the
discovery methods in the order listed”, does that mean the order list of 1, 2,
3 in the text above?  If so, perhaps make that clearer.

Section 4.  Editorial.  s/The discovery method is reiterated/The discovery
method is repeated/

Section 5. I don’t have a better IETF reference, but RFC6125 is 9 years old so
if something newer could be found that would be great.

Section 8.3.  In the absence of DNSSEC, DoT or DoH could also provide a degree
of path integrity protection.

---

From: <[email-masked]>
Date: Tue, 3 Nov 2020 06:38:10 +0000

Hi Roman, 

Thanks for the comments. 

Fixed. You can track the changes at: https://tinyurl.com/dots-discovery-iesg. 

Cheers,
Med

> -----Message d'origine-----
> De : Roman Danyliw via Datatracker [mailto:[email-masked]]
> Envoyé : lundi 2 novembre 2020 22:25
> À : The IESG <[email-masked]>
> Cc : [email-masked]; dots-
> [email-masked]; [email-masked]; Valery Smyslov <[email-masked]>;
> [email-masked]
> Objet : Roman Danyliw's No Objection on draft-ietf-dots-server-
> discovery-14: (with COMMENT)
> 
> When responding, please keep the subject line intact and reply to
> all email addresses included in the To and CC lines. (Feel free to
> cut this introductory paragraph, however.)
> 
> 
> Section 3.  Editorial. Per “Dynamic means to discover DOTS servers
> in a deterministic manner are interesting from an operational
> standpoint”, this reads like a problem statement.  Should it be
> restated as “dynamic discovery needs to be deterministic”?
> 
> Section 4.  Per “DOTS clients will prefer information received from
> the discovery methods in the order listed”, does that mean the order
> list of 1, 2,
> Section 4.  Editorial.  s/The discovery method is reiterated/The
> discovery method is repeated/
> 
> Section 5. I don’t have a better IETF reference, but RFC6125 is 9
> years old so if something newer could be found that would be great.
> 
> Section 8.3.  In the absence of DNSSEC, DoT or DoH could also
> provide a degree of path integrity protection.
> 
> 

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.